{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Gestor de Archivos{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
{% endblock %}
{% block content %}
<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-files">
    <div class="card-header">
      <h4 class="card-title">{{ title }}</h4>
      </div>
    <div class="card-body" style="margin: 0;">
      <form role="form" method="get" action=".">
        <div class="row">
        <div class="col-sm-12">
          {{ filter.form.sale_anio.label_tag }}
          {{ filter.form.sale_anio }}
          <button class="btn btn-primary" type="submit" style="margin:0 auto">Buscar</button>
        </div>
      </div>
      </form>
    </div>
    {% if dataOportunidad %}
    <div class="card-body" style="margin: 0">
      <div class="row" style="width: 100%">
        <div class="col-sm-12" style="width: 100%">
          <table id="example" class="display table table-striped table-bordered"
                 cellspacing="0" width="100%"></table>
        </div>
      </div>
    </div>
    {% else %}
      <p style="margin: auto">No se encontro oportunidades registradas en este año.</p>
    {% endif %}
  </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script>
  $(function () {
    var data = "{{ dataOportunidad| safe }}";
    if (data.length > 0) {
      $('#example').DataTable( {
          data: {{ dataOportunidad| safe }},
          columns: [
              { title: ""},
              { title: "Enero" },
              { title: "Febrero" },
              { title: "Marzo" },
              { title: "Abril" },
              { title: "Mayo" },
              { title: "Junio" },
              { title: "Julio" },
              { title: "Agosto" },
              { title: "Setiembre" },
              { title: "Octubre" },
              { title: "Noviembre" },
              { title: "Diciembre" },
              { title: "Total"}
          ],
          ordering: false,
          searching: false,
          paging: false,
          info: false,
          responsive: {details: true}
      });
    }
  });
</script>
{% endblock %}